# CpuFeatures

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Amx** | Pointer to **bool** |  | [optional] 

## Methods

### NewCpuFeatures

`func NewCpuFeatures() *CpuFeatures`

NewCpuFeatures instantiates a new CpuFeatures object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewCpuFeaturesWithDefaults

`func NewCpuFeaturesWithDefaults() *CpuFeatures`

NewCpuFeaturesWithDefaults instantiates a new CpuFeatures object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetAmx

`func (o *CpuFeatures) GetAmx() bool`

GetAmx returns the Amx field if non-nil, zero value otherwise.

### GetAmxOk

`func (o *CpuFeatures) GetAmxOk() (*bool, bool)`

GetAmxOk returns a tuple with the Amx field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetAmx

`func (o *CpuFeatures) SetAmx(v bool)`

SetAmx sets Amx field to given value.

### HasAmx

`func (o *CpuFeatures) HasAmx() bool`

HasAmx returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


